Loading...
Searching...
No Matches
janus_rtp_switching_context Struct Reference

RTP context, in order to make sure SSRC changes result in coherent seq/ts increases. More...

`#include <rtp.h>`

## Data Fields

uint32_t | last_ssrc
uint32_t | last_ts
uint32_t | base_ts
uint32_t | base_ts_prev
uint32_t | prev_ts
uint32_t | target_ts
uint32_t | start_ts
uint16_t | last_seq
uint16_t | prev_seq
uint16_t | base_seq
uint16_t | base_seq_prev
gboolean | ts_reset
gboolean | seq_reset
gboolean | new_ssrc
gint16 | seq_offset
gint32 | prev_delay
gint32 | active_delay
gint32 | ts_offset
gint64 | last_time
gint64 | reference_time
gint64 | start_time
gint64 | evaluating_start_time

## Detailed Description

RTP context, in order to make sure SSRC changes result in coherent seq/ts increases.

## Field Documentation

## active_delay

gint32 janus_rtp_switching_context::active_delay

## base_seq

uint16_t janus_rtp_switching_context::base_seq

## base_seq_prev

uint16_t janus_rtp_switching_context::base_seq_prev

## base_ts

uint32_t janus_rtp_switching_context::base_ts

## base_ts_prev

uint32_t janus_rtp_switching_context::base_ts_prev

## evaluating_start_time

gint64 janus_rtp_switching_context::evaluating_start_time

## last_seq

uint16_t janus_rtp_switching_context::last_seq

## last_ssrc

uint32_t janus_rtp_switching_context::last_ssrc

## last_time

gint64 janus_rtp_switching_context::last_time

## last_ts

uint32_t janus_rtp_switching_context::last_ts

## new_ssrc

gboolean janus_rtp_switching_context::new_ssrc

## prev_delay

gint32 janus_rtp_switching_context::prev_delay

## prev_seq

uint16_t janus_rtp_switching_context::prev_seq

## prev_ts

uint32_t janus_rtp_switching_context::prev_ts

## reference_time

gint64 janus_rtp_switching_context::reference_time

## seq_offset

gint16 janus_rtp_switching_context::seq_offset

## seq_reset

gboolean janus_rtp_switching_context::seq_reset

## start_time

gint64 janus_rtp_switching_context::start_time

## start_ts

uint32_t janus_rtp_switching_context::start_ts

## target_ts

uint32_t janus_rtp_switching_context::target_ts

## ts_offset

gint32 janus_rtp_switching_context::ts_offset

## ts_reset

gboolean janus_rtp_switching_context::ts_reset

The documentation for this struct was generated from the following file:

- rtp.h